{: test a compilation error occurs for invalid declaration keyword }

{$d+}
program e055( output );

var
   x : real;

function f: real;
begin
   f := 12.2
end; { e055 }

do {e055}                   {!!! invalid keyword}
   writeln( 'fails:  bad keyword symbol undetected');
end. {e055}

